// This is coord.h
//
// Requires #include <string> "readln.h" "usrinp.h"

class CCoord {
public:
    string name, unit;

    CCoord(void);
    CCoord( const char *nin, const char *uin);
    CCoord( const string *nin, const string *uin);
    CCoord( const string nin, const string uin);

    CCoord Ask( const string& quest, const CCoord& defval );
    CCoord Ask( const string& quest );

    friend ostream& operator<< (ostream &s, CCoord C);
    string str(void) const;
    string ps_str(void) const;
    string fstr(void) const;
    inline bool defined(void) { return name!=""; };
    string load(string);

    inline bool operator== (const CCoord& Co2) const { 
        return (name==Co2.name) && (unit==Co2.unit); };
    inline bool operator!= (const CCoord& Co2) const {
        return !(*this==Co2); };

private:
    static const char *helptext;
};

inline string strg(const CCoord& C) { return C.str(); };

class CParam {
public:
    CCoord Co;
    double val;

    inline CParam(void) { };
    inline CParam(CCoord Cin, double vin=0) { Co = Cin; val = vin; };
    inline CParam(string nin, string uin="", double vin=0) 
    { Co = CCoord(nin, uin); val = vin; };

    string str(void) const;
    int    init_from_a01( const string in );
};

