

//! A curve file contains curves, just as a data file contains scans.

#define N_FIT_METRICS 3

class CCurve {
 public:
    vector<double> P;
    vector<double> z;
    double Quality[N_FIT_METRICS];
    
    void Clear( void );
    int Save( FILE *fd );
    int Load( FILE *fd, uint nz );
};


//! NCurFil holds operations on curve files

namespace NCurveFile {
    void Create( bool refers_to_data );

    void SetConvolution( bool onoff );
    void SetConvTuningPars( string which );

    void SetProperties( string which );
    void ShowPar( void );
    void EditPar( void );
    void OprPar( string llabel );
    void SetFixed( string how );

    void SetFitTuningPars( string which );
    void Fit( void );

    void SetIntTuningPars( string which );
    void IntegralProperty( void );

    void CumulativeDistribution( void );
};
